Skip to content

Retrieve all sites with optional filters

Request

Security
bearer
Query
userIdnumber

Filter by related userId (via UserSite relation)

Example:userId=42
namestring

The name of the site

Example:name=Downtown Clinic
clientAccountIdArray of numbers

The clientAccountId of the site

Example:clientAccountId=1
organizationIdArray of numbers

The organizationId of the site

Example:organizationId=1
brandIdArray of numbers

The brandId of the site

Example:brandId=1
pagenumber, >= 0

Page number (0-based)

Default:0
Example:page=0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
Example:pageSize=10
sortBy[0][field]string

First sort field

Enum:"id""name""createdAt""updatedAt""clientAccountId""organizationId""brandId"
sortBy[0][dir]string

First sort direction

Enum:"asc""desc"
sortBy[1][field]string

Second sort field

Enum:"id""name""createdAt""updatedAt""clientAccountId""organizationId""brandId"
sortBy[1][dir]string

Second sort direction

Enum:"asc""desc"
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/heydonto/openapi/site?userId=42&name=Downtown%20Clinic&clientAccountId=1&organizationId=1&brandId=1&page=0&pageSize=10&sortBy%5B0%5D%5Bfield%5D=id&sortBy%5B0%5D%5Bdir%5D=asc&sortBy%5B1%5D%5Bfield%5D=id&sortBy%5B1%5D%5Bdir%5D=asc' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of sites retrieved successfully.

Bodyapplication/json
dataArray of objects(SiteDto)required

Array of brands

metaobject(PaginationMetaDto)required

Pagination metadata

Response
{ "data": [ { … } ], "meta": { "page": 0, "pageSize": 10, "total": 150, "totalPages": 15, "hasNext": true, "hasPrevious": false } }